program Hallo5;
{$APPTYPE CONSOLE}
uses SysUtils;

// Kontrollstruktur repeat-until

var  Name, Antwort: String;
begin
  write ('Hallo! Wer bist du? ');
  readln (Name);
  repeat
    write (Name, ', geht es dir gut? ');
    readln (Antwort);
    if Antwort = 'j' then writeln ('Das freut mich!');
    if Antwort = 'n' then writeln ('Das tut mir Leid!');
  until (Antwort = 'j') or (Antwort = 'n'); 
  readln;
end.


